package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Summary of all created vouchers, including deleted vouchers
 */
@ApiModel(description = "Summary of all created vouchers, including deleted vouchers")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class VoucherSummaryOpenApiVo   {
  @JsonProperty("count")
  private Long count;

  @JsonProperty("amount")
  private String amount;

  @JsonProperty("duration")
  private Long duration;

  @JsonProperty("currency")
  private String currency;

  public VoucherSummaryOpenApiVo count(Long count) {
    this.count = count;
    return this;
  }

  /**
   * Count of vouchers
   * @return count
  */
  @ApiModelProperty(value = "Count of vouchers")


  public Long getCount() {
    return count;
  }

  public void setCount(Long count) {
    this.count = count;
  }

  public VoucherSummaryOpenApiVo amount(String amount) {
    this.amount = amount;
    return this;
  }

  /**
   * Amount of single voucher
   * @return amount
  */
  @ApiModelProperty(value = "Amount of single voucher")


  public String getAmount() {
    return amount;
  }

  public void setAmount(String amount) {
    this.amount = amount;
  }

  public VoucherSummaryOpenApiVo duration(Long duration) {
    this.duration = duration;
    return this;
  }

  /**
   * Duration of vouchers, unit: minutes
   * @return duration
  */
  @ApiModelProperty(value = "Duration of vouchers, unit: minutes")


  public Long getDuration() {
    return duration;
  }

  public void setDuration(Long duration) {
    this.duration = duration;
  }

  public VoucherSummaryOpenApiVo currency(String currency) {
    this.currency = currency;
    return this;
  }

  /**
   * Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.
   * @return currency
  */
  @ApiModelProperty(value = "Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.")


  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoucherSummaryOpenApiVo voucherSummaryOpenApiVo = (VoucherSummaryOpenApiVo) o;
    return Objects.equals(this.count, voucherSummaryOpenApiVo.count) &&
        Objects.equals(this.amount, voucherSummaryOpenApiVo.amount) &&
        Objects.equals(this.duration, voucherSummaryOpenApiVo.duration) &&
        Objects.equals(this.currency, voucherSummaryOpenApiVo.currency);
  }

  @Override
  public int hashCode() {
    return Objects.hash(count, amount, duration, currency);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoucherSummaryOpenApiVo {\n");
    
    sb.append("    count: ").append(toIndentedString(count)).append("\n");
    sb.append("    amount: ").append(toIndentedString(amount)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("    currency: ").append(toIndentedString(currency)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

